/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.VReporterecibos;

import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface VReporterecibosFacadeLocal {

    void create(VReporterecibos vReporterecibos);

    void edit(VReporterecibos vReporterecibos);

    void remove(VReporterecibos vReporterecibos);

    VReporterecibos find(Object id);

    List<VReporterecibos> findAll();

    List<VReporterecibos> findRange(int[] range);

    int count();

    List<VReporterecibos> ObtenerReportes(String tipoRec, Date fecha);

}
